const express = require('express');
const cors = require('cors');
const bodyParser = require('body-parser');
const path = require('path');

const app = express();
const PORT = process.env.PORT || 5000;
let activePlayers = 3;

app.use(cors());
app.use(bodyParser.json());

app.use(express.static(path.join(__dirname, '../client/build')));

// API routes
app.get('/api/active-players', (req, res) => {
  res.json({ count: activePlayers });
});

app.post('/api/mpesa/deposit', (req, res) => {
  console.log('Deposit request:', req.body);
  res.json({ message: 'Deposit initiated' });
});

app.post('/api/mpesa/withdraw', (req, res) => {
  console.log('Withdraw request:', req.body);
  res.json({ message: 'Withdrawal initiated' });
});

app.get('*', (req, res) => {
  res.sendFile(path.join(__dirname, '../client/build/index.html'));
});

app.listen(PORT, () => {
  console.log(`Server running on http://localhost:${PORT}`);
});
